# negate Struct Template Reference
[Arithmetic Classes]

Inheritance diagram for negate:

List of all members.

### template<class _Tp>
struct std::negate< _Tp >

## Public Types

- typedef _Tp argument_type
- typedef _Tp result_type

## Public Member Functions

- _Tp operator() (const _Tp &__x) const

## Member Typedef Documentation

typedef _Tp argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef _Tp result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h